cURL
curl 'https://api.gumloop.com/api/v1/evaluations/EVALUATION_ID/results/RESULT_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
result = client.evaluations.get_result("EVALUATION_ID", "RESULT_ID").result
print(result.status, result.grade, result.error_code)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluations/{evaluation_id}/results/{result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"id": "9f2d6a41-3b7c-4e0a-8f11-2c5d7e9b0a3f",
"evaluation_id": "1c1b3c8e-7d61-4c1e-9c66-4a8d2f1e0b7a",
"session_id": "int_xyz789",
"agent_id": "agent_456",
"status": "completed",
"grade": "pass",
"error_code": null,
"model_name": "auto",
"call_successful": "success",
"sentiment": "positive",
"summary": "Customer asked about a refund window; the agent answered accurately and politely.",
"criteria_results": [
{
"id": "crit_1",
"name": "Greets the customer",
"result": "success",
"rationale": "The agent opened with the customer's name."
}
],
"data_results": [],
"applied_tags": [
"REFUND_REQUEST"
],
"created_at": "2026-09-03T21:40:00+00:00"
}
}Retrieve evaluation result
One result, including per-criterion outcomes, extracted data points, and applied tags. Poll this after POST /evaluations/{evaluation_id}/run until status is completed or failed.
GET
/
evaluations
/
{evaluation_id}
/
results
/
{result_id}
cURL
curl 'https://api.gumloop.com/api/v1/evaluations/EVALUATION_ID/results/RESULT_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
result = client.evaluations.get_result("EVALUATION_ID", "RESULT_ID").result
print(result.status, result.grade, result.error_code)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluations/{evaluation_id}/results/{result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"id": "9f2d6a41-3b7c-4e0a-8f11-2c5d7e9b0a3f",
"evaluation_id": "1c1b3c8e-7d61-4c1e-9c66-4a8d2f1e0b7a",
"session_id": "int_xyz789",
"agent_id": "agent_456",
"status": "completed",
"grade": "pass",
"error_code": null,
"model_name": "auto",
"call_successful": "success",
"sentiment": "positive",
"summary": "Customer asked about a refund window; the agent answered accurately and politely.",
"criteria_results": [
{
"id": "crit_1",
"name": "Greets the customer",
"result": "success",
"rationale": "The agent opened with the customer's name."
}
],
"data_results": [],
"applied_tags": [
"REFUND_REQUEST"
],
"created_at": "2026-09-03T21:40:00+00:00"
}
}Authorizations
Path Parameters
ID of the organization evaluation.
Result ID from a run response or a results list.
Response
The result.
Show child attributes
Show child attributes
Example:
{
"id": "9f2d6a41-3b7c-4e0a-8f11-2c5d7e9b0a3f",
"evaluation_id": "1c1b3c8e-7d61-4c1e-9c66-4a8d2f1e0b7a",
"session_id": "int_xyz789",
"agent_id": "agent_456",
"status": "completed",
"grade": "pass",
"error_code": null,
"model_name": "auto",
"call_successful": "success",
"sentiment": "positive",
"summary": "Customer asked about a refund window; the agent answered accurately and politely.",
"criteria_results": [
{
"id": "crit_1",
"name": "Greets the customer",
"result": "success",
"rationale": "The agent opened with the customer's name."
}
],
"data_results": [],
"applied_tags": ["REFUND_REQUEST"],
"created_at": "2026-09-03T21:40:00+00:00"
}
Was this page helpful?
